Subject: Re: [PATCH 08/12] mpc5121: Added I2C support.

From: Piotr Zięcik <[email-masked]>
Date: Tue, 19 May 2009 09:47:22 +0200

Monday 18 May 2009 16:29:04 Wolfgang Grandegger napisał(a):
> > I have simple question about bus speed setting support. Existing
> > implementation uses default safe speed if there is no 'clock-frequency'
> > property in i2c node. Comments in code suggest that this behaviour is
> > left for backward compatibility only. Should I make the 'clock-frequency'
> > property mandatory for a new type of I2C controller (MPC5121) ?
>
> I don't think so, for the same backward compatibility reason as for the
> other boards. But the DTS file might be changed to use clock-frequency.

In my opinion implementing "backward compatilility" for MPC5121 is not good
idea. MPC5121 I2C support is completly new thing in mainline. Simply, there is 
no DTS with which I have to be compatible. Adding backward compatibility
with nothing may be confusing.

-- 
Best Regards,
Piotr Zięcik